################################################################################
#
# recalbox-romfs-mame
#
################################################################################

# Package generated with :
# ./scripts/linux/empack.py --system mame --extension '.zip .ZIP' --fullname 'Mame' --platform arcade --theme mame libretro:mame078:BR2_PACKAGE_LIBRETRO_MAME2003 libretro:imame4all:BR2_PACKAGE_LIBRETRO_IMAME advancemame:advancemame:BR2_PACKAGE_ADVANCEMAME libretro:mame2010:BR2_PACKAGE_LIBRETRO_MAME2010

# Name the 3 vars as the package requires
RECALBOX_ROMFS_MAME_SOURCE = 
RECALBOX_ROMFS_MAME_SITE = 
RECALBOX_ROMFS_MAME_INSTALL_STAGING = NO
# Set the system name
SYSTEM_NAME_MAME = mame
SYSTEM_XML_MAME = $(@D)/$(SYSTEM_NAME_MAME).xml
# System rom path
SOURCE_ROMDIR_MAME = $(RECALBOX_ROMFS_MAME_PKGDIR)/roms

# CONFIGGEN_STD_CMD is defined in recalbox-romfs, so take good care that
# variables are global across buildroot


ifneq ($(BR2_PACKAGE_LIBRETRO_MAME2003)$(BR2_PACKAGE_LIBRETRO_IMAME)$(BR2_PACKAGE_ADVANCEMAME)$(BR2_PACKAGE_LIBRETRO_MAME2010),)
define CONFIGURE_MAIN_MAME_START
	$(call RECALBOX_ROMFS_CALL_ADD_SYSTEM,$(SYSTEM_XML_MAME),Mame,$(SYSTEM_NAME_MAME),.zip .ZIP,arcade,mame)
endef

ifneq ($(BR2_PACKAGE_LIBRETRO_MAME2003)$(BR2_PACKAGE_LIBRETRO_IMAME)$(BR2_PACKAGE_ADVANCEMAME)$(BR2_PACKAGE_LIBRETRO_MAME2010),)
define CONFIGURE_MAME_LIBRETRO_START
	$(call RECALBOX_ROMFS_CALL_START_EMULATOR,$(SYSTEM_XML_MAME),libretro)
endef
ifeq ($(BR2_PACKAGE_LIBRETRO_MAME2010),y)
define CONFIGURE_MAME_LIBRETRO_MAME2010_DEF
	$(call RECALBOX_ROMFS_CALL_ADD_CORE,$(SYSTEM_XML_MAME),mame2010)
endef
endif

ifeq ($(BR2_PACKAGE_LIBRETRO_MAME2003),y)
define CONFIGURE_MAME_LIBRETRO_MAME078_DEF
	$(call RECALBOX_ROMFS_CALL_ADD_CORE,$(SYSTEM_XML_MAME),mame078)
endef
endif

ifeq ($(BR2_PACKAGE_LIBRETRO_IMAME),y)
define CONFIGURE_MAME_LIBRETRO_IMAME4ALL_DEF
	$(call RECALBOX_ROMFS_CALL_ADD_CORE,$(SYSTEM_XML_MAME),imame4all)
endef
endif

define CONFIGURE_MAME_LIBRETRO_END
	$(call RECALBOX_ROMFS_CALL_END_EMULATOR,$(SYSTEM_XML_MAME))
endef
endif

ifneq ($(BR2_PACKAGE_LIBRETRO_MAME2003)$(BR2_PACKAGE_LIBRETRO_IMAME)$(BR2_PACKAGE_ADVANCEMAME)$(BR2_PACKAGE_LIBRETRO_MAME2010),)
define CONFIGURE_MAME_ADVANCEMAME_START
	$(call RECALBOX_ROMFS_CALL_START_EMULATOR,$(SYSTEM_XML_MAME),advancemame)
endef
ifeq ($(BR2_PACKAGE_ADVANCEMAME),y)
define CONFIGURE_MAME_ADVANCEMAME_ADVANCEMAME_DEF
	$(call RECALBOX_ROMFS_CALL_ADD_CORE,$(SYSTEM_XML_MAME),advancemame)
endef
endif

define CONFIGURE_MAME_ADVANCEMAME_END
	$(call RECALBOX_ROMFS_CALL_END_EMULATOR,$(SYSTEM_XML_MAME))
endef
endif



define CONFIGURE_MAIN_MAME_END
	$(call RECALBOX_ROMFS_CALL_END_SYSTEM,$(SYSTEM_XML_MAME),$(SOURCE_ROMDIR_MAME),$(@D))
endef
endif

define RECALBOX_ROMFS_MAME_CONFIGURE_CMDS
	$(CONFIGURE_MAIN_MAME_START)
	$(CONFIGURE_MAME_LIBRETRO_START)
	$(CONFIGURE_MAME_LIBRETRO_MAME2010_DEF)
	$(CONFIGURE_MAME_LIBRETRO_MAME078_DEF)
	$(CONFIGURE_MAME_LIBRETRO_IMAME4ALL_DEF)
	$(CONFIGURE_MAME_LIBRETRO_END)
	$(CONFIGURE_MAME_ADVANCEMAME_START)
	$(CONFIGURE_MAME_ADVANCEMAME_ADVANCEMAME_DEF)
	$(CONFIGURE_MAME_ADVANCEMAME_END)
	$(CONFIGURE_MAIN_MAME_END)
endef

$(eval $(generic-package))
